import { Axios } from 'axios';
import { DiscoveredFeed } from '../types';
/**
 * Discovers feeds by requesting specific paths and checking its responses
 *
 * @param axios The axios instance
 * @param baseUrl The base server URL
 * @param paths The path list to test upon
 */
export declare function discoverFeedsFromUrls(axios: Axios, baseUrl: string, paths?: string[]): Promise<DiscoveredFeed[]>;
//# sourceMappingURL=discoverFeedsFromUrls.d.ts.map