import { Element, Node } from 'domhandler';
export declare function getElementByTagName(tag: string, nodes: Node[], recurse?: boolean): Element | null;
export declare function getTextByTagName(tag: string, nodes: Node[] | Node, recurse?: boolean): string;
export declare function getDateByTagName(tag: string, nodes: Node[] | Node, recurse?: boolean): Date | undefined;
export declare function getNumberByTagName(tag: string, nodes: Node[] | Node, recurse?: boolean): number | undefined;
export declare function convertHtmlToText(html: string | undefined): string | undefined;
/**
 * Tries to extract a JSON string from a JSONP text
 *
 * @param raw The raw JSON/JSONP text
 */
export declare function extractFromJsonp(raw: string): string;
//# sourceMappingURL=utils.d.ts.map