import { Axios } from 'axios';
import { DiscoveredWordpressApi } from '../types';
/**
 * Discovers Wordpress API URLs by requesting and checking its response
 *
 * @param axios The axios instance
 * @param baseUrl The base URL
 * @param paths The paths to test
 */
export declare function discoverWordpressApiFromUrls(axios: Axios, baseUrl: string, paths?: string[]): Promise<DiscoveredWordpressApi[]>;
//# sourceMappingURL=discoverWordpressApiFromUrls.d.ts.map