import { Axios } from 'axios';
import { PostList } from '../types';
import { WordpressOptions } from '../getPostList';
/**
 * Fetches the Wordpress post list from the Wordpress REST API
 *
 * See https://developer.wordpress.org/rest-api/reference/
 *
 * @param axios The Axios instance
 * @param wpApiBase The base Wordpress REST API URL
 * @param page The page number
 * @param options The options
 */
export declare function fetchWordpressPostList(axios: Axios, wpApiBase: string, page?: number, options?: WordpressOptions): Promise<PostList>;
//# sourceMappingURL=fetchWordpressPostList.d.ts.map