import { Document } from 'domhandler';
import { DiscoveredSource } from '../types';
export declare function discoverFeedsFromRawHtml(url: string, html: string): DiscoveredSource[];
/**
 * Discovers feed documents using the link auto-discovery process
 * https://www.rssboard.org/rss-autodiscovery
 * https://www.jsonfeed.org/version/1.1/#discovery
 *
 * @param url The page URL
 * @param html The HTML DOM
 */
export declare function discoverFeedsFromHtml(url: string, html: Document): DiscoveredSource[];
//# sourceMappingURL=discoverFeedsFromHtml.d.ts.map