import { Element } from 'domhandler';
import { PostList } from '../types';
/**
 * Parses a RSS feed
 *
 * Supported versions: RSS 0.91, 1.0, 2.0 and 2.0.1
 * See https://www.xml.com/pub/a/2002/12/18/dive-into-xml.html
 * See https://www.rssboard.org/rss-specification
 * See https://web.resource.org/rss/1.0/spec
 * See https://www.rssboard.org/rss-0-9-1
 *
 * @param rss The root RSS element
 */
export declare function parseRssFeed(rss: Element): PostList;
//# sourceMappingURL=parseRssFeed.d.ts.map