import { Axios } from 'axios';
import { WordpressOptions } from '../getPostList';
import { PostList } from '../types';
/**
 * Fetches the Wordpress blog information from the Wordpress REST API
 *
 * See https://developer.wordpress.org/rest-api/reference/
 *
 * @param axios The Axios instance
 * @param wpApiBase The base Wordpress REST API URL
 * @param options The options
 */
export declare function fetchWordpressBlogInfo(axios: Axios, wpApiBase: string, options?: WordpressOptions): Promise<Partial<PostList>>;
//# sourceMappingURL=fetchWordpressBlogInfo.d.ts.map