"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNotWordpressError = void 0;
/**
 * Checks whether an object is an error
 * @param value The object
 */
function isNotWordpressError(value) {
    if (!value)
        return false;
    if (typeof value !== 'object')
        return true;
    const wpError = value;
    return !wpError.code || !wpError.data || !wpError.data.status;
}
exports.isNotWordpressError = isNotWordpressError;
