"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseWordpressBlogInfo = void 0;
const parseWordpressMedia_1 = require("./parseWordpressMedia");
function parseWordpressBlogInfo(data) {
    var _a;
    return {
        title: data.name,
        url: data.home || data.url,
        description: {
            text: data.description,
        },
        image: (0, parseWordpressMedia_1.parseWordpressMedia)((_a = data._embedded) === null || _a === void 0 ? void 0 : _a['wp:featuredmedia']),
    };
}
exports.parseWordpressBlogInfo = parseWordpressBlogInfo;
